Package org.eclipse.mat.inspections.osgi.model

## Class OSGiModel

- java.lang.Object
- - org.eclipse.mat.inspections.osgi.model.OSGiModel

    public class OSGiModel
    extends java.lang.Object

### Constructor Summary

Constructors
`OSGiModel​(IBundleReader bundleReader, java.util.List<BundleDescriptor> bundleDescriptors, java.util.List<Service> services, java.util.List<ExtensionPoint> extensionPoints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Bundle` `getBundle​(BundleDescriptor descriptor)` Get bundle by its descriptor
`java.util.List<BundleDescriptor>` `getBundleDescriptors()` Get descriptors of all the bundles, found in BundleRepository
`java.util.List<ExtensionPoint>` `getExtensionPoints()` Get all the extension points found in ExtensionRegistry
`java.util.List<Service>` `getServices()` Get all the services found in ServiceRegistry

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGiModel

    public OSGiModel​(IBundleReader bundleReader,
                     java.util.List<BundleDescriptor> bundleDescriptors,
                     java.util.List<Service> services,
                     java.util.List<ExtensionPoint> extensionPoints)

### Method Detail

#### getBundleDescriptors

    public java.util.List<BundleDescriptor> getBundleDescriptors()

Get descriptors of all the bundles, found in BundleRepository

Returns:
  List<BundleDescriptor> list of objects, describing the bundle

#### getBundle

    public Bundle getBundle​(BundleDescriptor descriptor)
                     throws SnapshotException

Get bundle by its descriptor

Parameters:
  `descriptor` -
Returns:
  Bundle
Throws:
  `SnapshotException`

#### getServices

    public java.util.List<Service> getServices()

Get all the services found in ServiceRegistry

Returns:
  List<Service> list of services

#### getExtensionPoints

    public java.util.List<ExtensionPoint> getExtensionPoints()

Get all the extension points found in ExtensionRegistry

Returns:
  List<ExtensionPoint> list of extension points